Bug 447146 - [PATCH] Use the same behaviour as for docked apps
[PATCH] Use the same behaviour as for docked apps
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: logjam (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
http://www.smile.org.ua/~andy/prj/log...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 04:49 EDT by Andy Shevchenko
Modified: 2008-07-30 16:01 EDT (History)
0 users

See Also:
Fixed In Version: 4.5.3-25.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 16:00:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch (480 bytes, patch)
2008-05-19 12:32 EDT, Andy Shevchenko
no flags Details | Diff
Proper patch (try2) (475 bytes, patch)
2008-07-25 16:22 EDT, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Andy Shevchenko 2008-05-18 04:49:05 EDT
Description of problem:
When x icon is clicked (close application/window) the logjam just quit even if 
it is docked.
This patch fixes behaviour. If docked - just close window, otherwise - close 
application.

Version-Release number of selected component (if applicable):
All recent versions.

http://www.smile.org.ua/~andy/prj/logjam/logjam-4.5.3-no_quit_when_docked.patch
Comment 1 Andy Shevchenko 2008-05-19 12:32:50 EDT
Created attachment 305981 [details]
the patch

Sorry, site is down until now.
Comment 2 Fedora Update System 2008-07-02 18:58:57 EDT
logjam-4.5.3-24.fc8.1 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-07-03 23:41:49 EDT
logjam-4.5.3-24.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Andy Shevchenko 2008-07-25 16:22:30 EDT
Created attachment 312679 [details]
Proper patch (try2)
Comment 5 Andy Shevchenko 2008-07-25 16:24:16 EDT
The previous patch works incorrectly when docklet isn't used - application 
won't exit.
Comment 6 Fedora Update System 2008-07-28 15:10:20 EDT
logjam-4.5.3-25.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-07-28 15:11:36 EDT
logjam-4.5.3-25.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-07-30 16:00:32 EDT
logjam-4.5.3-25.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-07-30 16:01:28 EDT
logjam-4.5.3-25.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.